<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui">
<body>
	<ui:composition>
		<p:separator />
		<div class="row box-mb">
			<div class="col-sm-12">
				<label class="control-label"><b><ui:insert name="seccion_datos_vigencia_titulo">
					<div>VIGENCIA</div>				
				</ui:insert></b></label>
			</div>
		</div>
		<div class="row box-mb">
			<p:fieldset>
				<fieldset>
					<p:panel id="DatosVigencia" style=" border: 0px solid #EDEDED;">
						<div class="row box-mb">
							<div class="col-sm-4">
								<ui:insert name="seccion_datos_vigencia_concepto">
									<h:outputLabel for="estadoRegistro" value="Tipo de Registro " styleClass="control-label"/>
									<p:inputText 	value="#{bandejaSalaDelUsuarioMB.request.concepto}" id="concepto" style="text-transform: uppercase;" readonly="true" maxlength="20" required="false" styleClass="form-control" tabindex="1" />	
								</ui:insert>
							</div>
							<div class="col-sm-4">
								<ui:insert name="seccion_datos_vigencia_vigencia">
									<h:outputLabel for="vigencia" value="Vigencia: " styleClass="control-label" /><span class="style_requerido">*</span>&#160;&#160;&#160;&#160;
									<p:selectOneMenu id="vigencia" value="#{bandejaSalaDelUsuarioMB.request.vigencia}" styleClass="form-control style-select">
										<f:selectItem itemValue="0" itemLabel="--- Seleccione --- " />
										<f:selectItem itemValue="1 año" itemLabel="1 año" />
										<p:ajax event="change" listener="#{bandejaSalaDelUsuarioMB.resetFinDeVigencia()}" update="fechaFinVigencia" />
									</p:selectOneMenu>		
								</ui:insert>
							</div>
							<div class="col-sm-4">
								<ui:insert name="seccion_datos_vigencia_vigencia_inicio">
									<h:outputLabel for="fechaInicioVigencia" value="Inicio Vigencia: " styleClass="control-label"></h:outputLabel>
									<div class="input-group">
									<p:calendar value="#{bandejaSalaDelUsuarioMB.request.fechaInicio}" id="fechaInicioVigencia" popupIconOnly="true"  pattern="dd/MM/yyyy" widgetVar="wvfechaInicio" locale="es" maxdate="#{bandejaSalaDelUsuarioMB.fechaActual}" >
										<p:ajax event="dateSelect" listener="#{bandejaSalaDelUsuarioMB.resetFinDeVigencia()}" update="fechaFinVigencia" />
									</p:calendar>   
								    <span class="input-group-addon"><span class="fa fa-calendar-o"></span></span>		
									</div>
								</ui:insert>
							</div>
						</div>
						<div class="row box-mb">
							<div class="col-sm-4">
								<ui:insert name="seccion_datos_vigencia_vigencia_fin">
									<h:outputLabel for="fechaFinVigencia" value="Fin Vigencia: " styleClass="control-label"></h:outputLabel>
									<p:calendar value="#{bandejaSalaDelUsuarioMB.request.fechaFin}" id="fechaFinVigencia" popupIconOnly="false" readonly= "true" showOn="none" pattern="dd/MM/yyyy" widgetVar="wvfechaFin" locale="es"/>
								</ui:insert>
							</div>
							<div class="col-sm-4 text-center box-main-btn">						
								<p:commandButton
												id="btnRenovar"
												value="Efectuar Renovación"
												icon="fa fa-file-text-o ocultarImgIcon"
												styleClass="btn btn-primary btn-sensitive"
												actionListener="#{bandejaSalaDelUsuarioMB.validatePreRenovacion}"
												ajax="true" update=":frmUserCreation:mensaje"/>							
							</div>
							<div class="col-sm-4 text-center box-main-btn">		
									<p:commandButton
													id="btnDuplicar"
													rendered = "#{bandejaSalaDelUsuarioMB.esInvestigador()}"
													value="Efectuar Duplicado"
													icon="fa fa-file-text-o ocultarImgIcon"
													styleClass="btn btn-primary btn-sensitive"
													actionListener="#{bandejaSalaDelUsuarioMB.validatePreDuplicado}"
													ajax="true" update=":frmUserCreation:mensaje"/>
							</div>
						</div>
					</p:panel>
				</fieldset>
			</p:fieldset>
		</div>
	</ui:composition>
</body>
</html>